Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.pdf.TextFillSignObject Class Reference
Inheritance diagram for com.foxit.sdk.pdf.TextFillSignObject:

## Public Member Functions
| TextFillSignObject ()
| Constructor.
| TextFillSignObject (FillSignObject fillsign_object)
| Constructor, with parent class object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
TextFillSignObjectDataArray | getTextDataArray () throws com.foxit.sdk.PDFException
| Get text data array. More...
boolean | isCombFieldMode () throws com.foxit.sdk.PDFException
| Check whether current mode is comb field mode or not. More...
Public Member Functions inherited from com.foxit.sdk.pdf.FillSignObject
| FillSignObject ()
| Constructor.
| FillSignObject (FillSignObject other)
| Constructor, with another fill-sign object. More...
boolean | generateContent () throws com.foxit.sdk.PDFException
| Generate content for current fill-sign object. More...
RectF | getRect () throws com.foxit.sdk.PDFException
| Get rectangle, in PDF coordinate system. More...
int | getType () throws com.foxit.sdk.PDFException
| Get fill-sign type. More...
boolean | isEmpty ()
| Check whether current object is empty or not. More...
void | move (PointF point, float width, float height, int rotation) throws com.foxit.sdk.PDFException
| Move current fill-sign object. More...

## Detailed Description

Class TextFillSignObject is derived from class FillSignObject , and is used to represent a text fill-sign object.

See also
  FillSignObject

## Constructor & Destructor Documentation

## ◆ TextFillSignObject()

com.foxit.sdk.pdf.TextFillSignObject.TextFillSignObject | ( | FillSignObject | fillsign_object | ) |

Constructor, with parent class object.

Parameters

  [in] | fillsign_object | Parent class object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.TextFillSignObject.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

Reimplemented from com.foxit.sdk.pdf.FillSignObject.

## ◆ getTextDataArray()

TextFillSignObjectDataArray com.foxit.sdk.pdf.TextFillSignObject.getTextDataArray | ( |  | ) | throws com.foxit.sdk.PDFException

Get text data array.

Returns
  A text data array.

## ◆ isCombFieldMode()

boolean com.foxit.sdk.pdf.TextFillSignObject.isCombFieldMode | ( |  | ) | throws com.foxit.sdk.PDFException

Check whether current mode is comb field mode or not.

Returns
  true means current mode is comb field mode, while false means current mode is normal mode.